Bug 1973056 - cups-browsed doesn't renew DBus subscription in time and all printing comes to a halt
Summary: cups-browsed doesn't renew DBus subscription in time and all printing comes t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-filters
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-17 08:07 UTC by Zdenek Dohnal
Modified: 2021-06-30 03:32 UTC (History)
2 users (show)

Fixed In Version: cups-filters-1.28.9-1.fc34 cups-filters-1.28.9-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-30 03:15:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-06-17 08:07:16 UTC
Printing fails with "is cups-browsed running?" message because cups-browsed fails to renew the dbus subscription within 24 hours and then the affected queue gets disabled.

Comment 1 Zdenek Dohnal 2021-06-18 08:30:16 UTC
Fixed by PR https://github.com/OpenPrinting/cups-filters/pull/378 .

Comment 2 Fedora Update System 2021-06-21 10:02:19 UTC
FEDORA-2021-7f4f4ce50a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7f4f4ce50a

Comment 3 Fedora Update System 2021-06-21 10:12:58 UTC
FEDORA-2021-99f116bc9d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-99f116bc9d

Comment 4 Fedora Update System 2021-06-22 01:04:39 UTC
FEDORA-2021-7f4f4ce50a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7f4f4ce50a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7f4f4ce50a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-22 01:11:05 UTC
FEDORA-2021-99f116bc9d has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-99f116bc9d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-99f116bc9d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-06-30 03:15:08 UTC
FEDORA-2021-7f4f4ce50a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-06-30 03:32:34 UTC
FEDORA-2021-99f116bc9d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.